Subject: Re: bug#77362: 30.1; isearch-forward in dired overshoots on `:' match attempt

From: Van Ly <[email-masked]>
Date: Sat, 29 Mar 2025 13:30:29 +0000

Eli Zaretskii <[email-masked]> writes:

>> At the top of dired buffer, I have a line as follows,
>> 
>>   /tmp: (41 GiB available)
         ^A                  ^B
^B
    Char: C-j (10, #o12, #xa) point=8 of 914 (1%) column=26
^A
    Char: : (58, #o72, #x3a, part of display ":"->": (41 GiB available)") point=7 of 914 (1%) column=6

> That's because we show a display property at the end.  Type "C-x =" or
> "M-x describe-text-properties RET" to show them.
>
> I don't understand the complaint.  If the problem is that C-s
> overshoots, then just go back one character with C-b, and you can copy
> the directory name with M-w or whatever.
>
> I see no bug here.

A is at column 6.
B is at column 26.

I was surprised by the one back move jump from column 26 to 6, and never
thought to try.  I assumed it would take 18x back moves on the cursor to
cover the stretch between the parens inclusive.

Well, it is what it is.

-- 
vl